3 Replies Latest reply on Feb 3, 2017 12:55 PM by Matt Coles

    ImportError: cannot import name InsecureRequestWarning

    Song Kim

      Hello!

      I made sure that I had installed all the packages and yes, also found out  that the optional twilio package was not optional to have installed so I also installed that one. But as soon as those errors were through, I got this one and no matter what, I keep getting them so I am unable to pass the testing phase of my deployment.

      This is after doing the upgrade from 1.1 so I know that 1.1 was entirely working before I changed the python script to point to and work in the new bits.

       

      C:\VizAlerts2>python vizalerts.py

      Traceback (most recent call last):

        File "vizalerts.py", line 24, in <module>

          from vizalert import tabhttp

        File "C:\VizAlerts2\vizalert\tabhttp.py", line 19, in <module>

          from requests.packages.urllib3.exceptions import InsecureRequestWarning

      ImportError: cannot import name InsecureRequestWarning

       

      C:\VizAlerts2>pip install requests

      Requirement already satisfied (use --upgrade to upgrade): requests in c:\python2

      7\lib\site-packages

      Cleaning up...

       

      C:\VizAlerts2>pip install requests_ntlm

      Requirement already satisfied (use --upgrade to upgrade): requests-ntlm in c:\py

      thon27\lib\site-packages

      Cleaning up...